import '../style.css'
import { createApp } from 'vue'
import { installSDK } from '../sdk'

let demo = decodeURIComponent(
  new URLSearchParams(window.location.search).get('app') || ''
)
if (demo) {
  const modules = import.meta.glob([`../demos/*/*.vue`, `../demos/*.vue`])
  const App: any = modules[`../demos/${demo}.vue`]
  const app = createApp((await App()).default)
  app.use(installSDK).mount('#app')
}
